<template>
  <main id="classic">

    <div class="row">
      <div class="col-md-12">

        <Carousel/>

      </div>
    </div>
    <div v-if="$root.meta.holidays" class="alert alert-info">
        <p v-html="$t('holidays.text1')"></p>
        <p v-html="$t('holidays.text2')"></p>
    </div>
    <div class="row" style="margin: 3.5em auto">
      <div class="col-md-12">
        <div class="col-sm-4 text-center">
          <a href="#download" class="btn btn-primary btn-lg"
            @click="download=!download;play=false;classroom=false">
            <i class="fa fa-lg fa-download"></i>
            <span v-html="$t('download.title')"></span> »
          </a>
        </div>
        <div class="col-sm-4 text-center">
          <a href="#play" class="btn btn-info btn-lg"
            @click="download=false;play=!play;classroom=flase">
            <i class="fa fa-lg fa-gamepad"></i>
            <span v-html="$t('play.title')"></span> »
          </a>
        </div>
        <div class="col-sm-4 text-center">
          <a href="#classroom" class="btn btn-success btn-lg"
            @click="download=false;play=false;classroom=!classroom">
            <i class="fa fa-lg fa-user"></i>
            <span v-html="$t('classroom.title')"></span> »
          </a>
        </div>
      </div>
    </div>
    <div class="row" id="download" v-show="download">
      <div class="col-md-12">
        <!--  Download -->
        <div class="col-md-8 col-md-offset-2">
          <h2 v-html="$t('download.title')"></h2>
          <p class="alert alert-info" v-html="$t('download.warning')"></p>
          <p v-html="$t('download.how')"></p>
          <ul>
            <li v-for="client in $t('download.clients')" v-html="client"></li>
          </ul>

          <h3 v-html="$t('download.keyboard')"></h3>
          <p v-html="$t('download.change')"></p>
          <img class="img-responsive" :src="`${$root['/']}img/onglet-reglages.png`" alt="">
          <p v-html="$t('download.config')"></p>
          <img class="img-responsive" :src="`${$root['/']}img/reglages-touches.png`" alt="">
        </div>
      </div>
    </div>

    <div class="row" id="play" v-show="play">
      <div class="col-md-12">
        <!--  Play -->
        <div class="col-md-8 col-md-offset-2">
          <h2 v-html="$t('play.title')"></h2>
          <p class="alert alert-info" v-html="$t('play.warning')"></p>
          <h3 v-html="$t('play.game')"></h3>
          <p v-html="$t('play.desc')"></p>
          <h4 v-html="$t('play.offline')"></h4>
          <ul>
            <li v-for="step in $t('play.stepsOff')" v-html="step"></li>
          </ul>
          <h4 v-html="$t('play.online')"></h4>
          <ul>
            <li v-for="step in $t('play.stepsOn')" v-html="step"></li>
          </ul>
          <h3 v-html="$t('play.how')"></h3>
          <p v-html="$t('play.dontPanic')"></p>
          <ul>
            <li v-for="action in $t('play.actions')" v-html="action"></li>
          </ul>
          <h3 v-html="$t('play.craft')"></h3>
          <p v-html="$t('play.more')"></p>
        </div>
      </div>
    </div>

    <div class="row" id="classroom" v-show="classroom">
      <div class="col-md-12">
      <!--  Classroom -->
        <div class="col-md-8 col-md-offset-2">
          <h2 v-html="$t('classroom.title')"></h2>
          <p class="alert alert-info" v-html="$t('classroom.warning')"></p>

          <h3 v-html="$t('classroom.edu.title')"></h3>
          <p v-html="$t('classroom.edu.desc')"></p>
          <img class="img-responsive" alt="" :src="`${$root['/']}img/serveur-30001.png`">

          <h3 v-html="$t('classroom.create.title')"></h3>
          <p v-html="$t('classroom.create.text1')"></p>
          <p v-html="$t('classroom.create.text2')"></p>
          <ul>
            <li v-for="advice in $t('classroom.create.advices')" v-html="advice"></li>
          </ul>

          <h4 v-html="$t('classroom.create.craft')"></h4>
          <p v-html="$t('classroom.create.text3')"></p>
          <img class="img-responsive" alt="" :src="`${$root['/']}img/table-crafting.png`">

          <h4 v-html="$t('classroom.create.constructions')"></h4>
          <p v-html="$t('classroom.create.text4')"></p>

          <h3 v-html="$t('classroom.examples.title')"></h3>
          <p v-html="$t('classroom.examples.desc')"></p>
          <ul>
            <li v-for="activity in $t('classroom.examples.activities')" v-html="activity"></li>
          </ul>

          <h3 v-html="$t('classroom.more.title')"></h3>
          <ul>
            <li v-for="link in $t('classroom.more.links')" v-html="link"></li>
          </ul>
        </div>
      </div>
    </div>
    <hr role="presentation" />
    <div class="row">
      <div class="col-md-12">
      <h2 v-html="$t('what.title')"></h2>
      <div class="col-md-8">
        <div class="embed-responsive embed-responsive-16by9">
          <iframe width="560" height="315" frameborder="0" allowfullscreen
            class="embed-responsive-item"
            sandbox="allow-same-origin allow-scripts"
            src="https://framatube.org/videos/embed/de4c1b8d-d2e8-4cca-8121-33bf630877f7"
          ></iframe>
        </div>
      </div>
      <div class="col-md-4 text-left">
        <h3 v-html="$t('what.subtitle')"></h3>
        <p v-html="$t('what.desc')"></p>
        <p v-html="$t('what.start')"></p>
        <ul>
          <li v-for="step in $t('what.steps')" v-html="step"></li>
        </ul>
      </div>
    </div>
    </div>

    <hr role="presentation" />

    <div class="row">
      <div
        class="col-md-4"
        id="tuto-video">
        <h2 v-html="$t('help.title')"></h2>
        <p
          class="text-center"
          role="presentation"><i class="fa fa-question-circle"></i></p>
        <p v-html="$t('help.desc')"></p>
        <p v-html="$t('help.start')"></p>
        <ol>
          <li v-for="step in $t('help.steps')" v-html="step"></li>
        </ol>
      </div>

      <div
        class="col-md-4"
        id="le-logiciel">
        <h2 v-html="$t('software.title')"></h2>
        <p
          class="text-center"
          role="presentation"><i class="fa fa-cloud"></i></p>
        <p v-html="$t('software.basedon')"></p>
        <p v-html="$t('software.license')"></p>
      </div>

      <div
        class="col-md-4"
        id="jardin">
        <h2 v-html="$t('garden.title')"></h2>
        <p
          class="text-center"
          role="presentation"><i class="glyphicon glyphicon-tree-deciduous"></i></p>
        <p><span v-html="$t('garden.contrib')"></span> <a :href="$root.meta.git" v-html="$t('garden.devsite')"></a>.</p>
        <br>
        <p v-html="$t('garden.install')"></p>
        <p class="text-center"><a
          :href="$t('garden.framacloud')"
          style="color:white"
          class="btn btn-success"><i class="glyphicon glyphicon-tree-deciduous"></i> framacloud.org</a></p>
      </div>
    </div>
  </main>
</template>

<script>
import Carousel from '../partials/Carousel.vue';

export default {
  name: 'Home',
  components: {
    Carousel,
  },
  data() {
    return {
      download: false,
      play: false,
      classroom: false,
    };
  },
};
</script>
